Bug 2895 - Issues copying tables from local file to server workspace
: Issues copying tables from local file to server workspace
Status: RESOLVED FIXED
Product: SQL Power Architect
Core business objects
: 1.0.0 Preview 5
: All All
: P5 normal (vote)
: EE 1.0 UAT
Assigned To: kirti
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-07-28 13:36 EDT by Benjamin Dietz
Modified: 2016-02-09 16:08 EST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Dietz 2010-07-28 13:36:31 EDT
With currently no import / export function available i tried copying tables
manually. I found several issues:

- Using copy and paste doesn't work across workspaces. I clicked on a table in
my local workspace. Clicked on Edit -> Copy, switched to the server workspace
and tried to paste it but the Paste menu item is grayed out.

- Using the left hand tree I tried to drag the Playpen Database from the local
to the server workspace. It brought a warning that I would loose ETL mappings
but it didn't actually copy anything

- Using the left hand tree I dragged single tables from the local to the server
workspace. They were created in the server workspace but it didn't ask me to
replace column types and didn't replace column types automatically. Now the
playpen shows the correct column type but when I click on a column to see the
details I don't get a column type, it only gives me the button "Choose Type" to
select a type. Selecting a type deletes all existing settings for precision /
scale...

I used the workspace XBRL*Analytics - Data Mart as a server workspace in case
you want to test it.
Comment 1 Thomas O'Brien 2010-07-28 17:56:26 EDT
For issue 1:
-What object did you have selected to copy?
-What do you get when you paste into a text field after copying? (If the copy
was successful pasting to a text field should give the object name.)
Comment 2 Benjamin Dietz 2010-07-29 11:16:06 EDT
for #1: I did some more testing and found that the paste menu item only gets
grayed out when you click at the playpen. If you press Ctrl+V you can still
paste even if the menu item is grayed out.

How to reproduce:
- Open 2 workspaces
- Click on a table in the open workspace and select Edit -> Copy.
- in the Multi tab tree click on the second workspace
- Check the menu item Edit - Paste, it is not grayed out
- Click at an empty space in the playpen
- Check the menu item Edit - Paste, it is grayed out
Comment 3 Thomas O'Brien 2010-08-16 12:05:57 EDT
Fixed by a previous commit by Jeff.
Comment 4 Benjamin Dietz 2010-08-16 14:18:20 EDT
Copying from a local workspace still doesn't work:
I created a new local workspace, create a table with a few columns in it. I
then copied the table and tried to paste it into the server workspace. I got a
new DB connection called "New Connection" but no new table. I copied / paste
using the menu items in Power*Architect, not the shortcuts.

Also drag & drop in the left hand tree still doesn't work properly. The arrow
of the mouse turns into the "Working symbol" but even after a couple minutes
nothing happened.
Comment 5 kirti 2015-02-20 13:22:35 EST
#9 (Feb 20, 2015 11:56:02 AM)
Build#11
Revision 4066
Improved paste functionality. User can paste  copied Table in a different local
workspace by selecting a target tree node((PlayPen Database) from a left panel
and use Edit>paste menu option . Related bug id# 2979 and bug ID#2895.
Comment 6 kirti 2015-02-20 13:31:41 EST
#9 (Feb 20, 2015 11:56:02 AM)
Build#11
Revision 4066
Improved paste functionality. User can paste  copied Table in a different local
workspace by selecting a target tree node((PlayPen Database) from a left panel
and use Edit>paste menu option . Related bug id# 2979 and bug ID#2895.
Comment 7 kirti 2016-02-09 16:08:32 EST
Improved paste functionality. User can paste copied Table in a different local
workspace by selecting a target tree node((PlayPen Database) from a left panel
and use Edit>paste menu option . Related bug id# 2979 and bug ID#2895.